Subject: Re: [PATCH net-next v6 01/10] xsk: align &xdp_buff_xsk harder

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Wed, 04 Dec 2024 11:27:01 +0100

Alexander Lobakin <[email-masked]> writes:

> After the series "XSk buff on a diet" by Maciej, the greatest pow-2
> which &xdp_buff_xsk can be divided got reduced from 16 to 8 on x86_64.
> Also, sizeof(xdp_buff_xsk) now is 120 bytes, which, taking the previous
> sentence into account, leads to that it leaves 8 bytes at the end of
> cacheline, which means an array of buffs will have its elements
> messed between the cachelines chaotically.
> Use __aligned_largest for this struct. This alignment is usually 16
> bytes, which makes it fill two full cachelines and align an array
> nicely. ___cacheline_aligned may be excessive here, especially on
> arches with 128-256 byte CLs, as well as 32-bit arches (76 -> 96
> bytes on MIPS32R2), while not doing better than _largest.
>
> Signed-off-by: Alexander Lobakin <[email-masked]>

Ohh, didn't know about that attribute - neat!

Reviewed-by: Toke Høiland-Jørgensen <[email-masked]>